Bug 824968 - quantum-server-setup uses old openstack-utils tools interface
quantum-server-setup uses old openstack-utils tools interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-quantum (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Bob Kukura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 13:47 EDT by Chris Wright
Modified: 2014-02-27 18:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 22:38:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to call openstack-config --set (2.02 KB, patch)
2012-05-24 13:52 EDT, Chris Wright
no flags Details | Diff

  None (edit)
Description Chris Wright 2012-05-24 13:47:18 EDT
Description of problem:

Running quantum-server-setup will fail when openstack-utils is updated.
quantum-server-setup is calling openstack-config-set, however openstack-utils now provides openstack-config --set

Version-Release number of selected component (if applicable):

openstack-quantum-2012.1-1
openstack-utils-2012.1-2

How reproducible:

100%

Steps to Reproduce:
1. quantum-server-setup --yes --rootpw blahblah --plugin linuxbridge

  
Actual results:

...
/usr/bin/quantum-server-setup: line 373: openstack-config-set: command not found
/usr/bin/quantum-server-setup: line 374: openstack-config-set: command not found
/usr/bin/quantum-server-setup: line 375: openstack-config-set: command not found
/usr/bin/quantum-server-setup: line 376: openstack-config-set: command not found
/usr/bin/quantum-server-setup: line 381: openstack-config-set: command not found
/usr/bin/quantum-server-setup: line 384: openstack-config-set: command not found
/usr/bin/quantum-server-setup: line 387: openstack-config-set: command not found
Configuration updates complete!
Comment 1 Chris Wright 2012-05-24 13:52:59 EDT
Created attachment 586678 [details]
patch to call openstack-config --set

Ulitimately we need to refactor to make quantum use common db and config tools
Comment 2 Pádraig Brady 2012-05-27 21:07:55 EDT
openstack-config-set is included with older versions of keystone,
so when that's updated the above issue will occur.
Now I noticed the quantum-config-set util so hand assume that this equivalent would be used within this package.

I'll change all uses to use openstack-config --set
Comment 3 Fedora Update System 2012-05-27 21:37:47 EDT
openstack-quantum-2012.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-quantum-2012.1-5.el6
Comment 4 Fedora Update System 2012-05-27 21:39:34 EDT
openstack-quantum-2012.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-quantum-2012.1-2.fc17
Comment 5 Fedora Update System 2012-05-29 06:36:09 EDT
Package openstack-quantum-2012.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-quantum-2012.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8552/openstack-quantum-2012.1-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-06-06 22:38:30 EDT
openstack-quantum-2012.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-06-14 22:16:51 EDT
openstack-quantum-2012.1-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.